Skip to content
Projects
Groups
Snippets
Help
This project
Loading...
Sign in / Register
Toggle navigation
K
k3s
Project
Project
Details
Activity
Cycle Analytics
Repository
Repository
Files
Commits
Branches
Tags
Contributors
Graph
Compare
Charts
Issues
0
Issues
0
List
Board
Labels
Milestones
Merge Requests
0
Merge Requests
0
CI / CD
CI / CD
Pipelines
Jobs
Schedules
Charts
Registry
Registry
Wiki
Wiki
Snippets
Snippets
Members
Members
Collapse sidebar
Close sidebar
Activity
Graph
Charts
Create a new issue
Jobs
Commits
Issue Boards
Open sidebar
Jacklull
k3s
Commits
762bfa3d
Commit
762bfa3d
authored
Apr 19, 2016
by
Wojciech Tyczynski
Browse files
Options
Browse Files
Download
Email Patches
Plain Diff
Improve script for running scheduler benchmarks
parent
5abbc24a
Hide whitespace changes
Inline
Side-by-side
Showing
1 changed file
with
13 additions
and
10 deletions
+13
-10
test-performance.sh
test/component/scheduler/perf/test-performance.sh
+13
-10
No files found.
test/component/scheduler/perf/test-performance.sh
View file @
762bfa3d
...
@@ -18,13 +18,16 @@ set -o errexit
...
@@ -18,13 +18,16 @@ set -o errexit
set
-o
nounset
set
-o
nounset
set
-o
pipefail
set
-o
pipefail
pushd
"../../../.."
KUBE_ROOT
=
$(
dirname
"
${
BASH_SOURCE
}
"
)
/../../../..
source
"./hack/lib/util.sh"
source
"
${
KUBE_ROOT
}
/hack/lib/init.sh"
source
"./cluster/lib/logging.sh"
source
"./hack/lib/etcd.sh"
kube::golang::setup_env
popd
DIR_BASENAME
=
$(
dirname
"
${
BASH_SOURCE
}
"
)
pushd
${
DIR_BASENAME
}
cleanup
()
{
cleanup
()
{
popd
2> /dev/null
kube::etcd::cleanup
kube::etcd::cleanup
kube::log::status
"performance test cleanup complete"
kube::log::status
"performance test cleanup complete"
}
}
...
@@ -34,13 +37,13 @@ trap cleanup EXIT
...
@@ -34,13 +37,13 @@ trap cleanup EXIT
kube::etcd::start
kube::etcd::start
kube::log::status
"performance test start"
kube::log::status
"performance test start"
# TODO: set log-dir and prof output dir.
DIR_BASENAME
=
$(
basename
`
pwd
`
)
go
test
-c
-o
"
${
DIR_BASENAME
}
.test"
# We are using the benchmark suite to do profiling. Because it only runs a few pods and
# We are using the benchmark suite to do profiling. Because it only runs a few pods and
# theoretically it has less variance.
# theoretically it has less variance.
"./
${
DIR_BASENAME
}
.test"
-test
.bench
=
.
-test
.run
=
xxxx
-test
.cpuprofile
=
prof.out
-logtostderr
=
false
if
${
RUN_BENCHMARK
:-
false
}
;
then
go
test
-c
-o
"perf.test"
"./perf.test"
-test
.bench
=
.
-test
.run
=
xxxx
-test
.cpuprofile
=
prof.out
fi
kube::log::status
"benchmark tests finished"
kube::log::status
"benchmark tests finished"
# Running density tests. It might take a long time.
# Running density tests. It might take a long time.
"./
${
DIR_BASENAME
}
.test"
-test
.run
=
.
-test
.timeout
=
60m
go
test
-test
.run
=
.
-test
.timeout
=
60m
kube::log::status
"density tests finished"
kube::log::status
"density tests finished"
Write
Preview
Markdown
is supported
0%
Try again
or
attach a new file
Attach a file
Cancel
You are about to add
0
people
to the discussion. Proceed with caution.
Finish editing this message first!
Cancel
Please
register
or
sign in
to comment